Summary:        A console oriented tool for Linux to access a FireWire bus
Name:           firecontrol
Version:        0.2
Release:        13%{?dist}
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://firecontrol.sourceforge.net/
Source:         http://dl.sf.net/firecontrol/firecontrol-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libraw1394-devel
# libraw1394 doesn't exist for s390{x,}
ExcludeArch:    s390 s390x

%description
FireControl, the IEEE 1394 Commander, is a console oriented tool for Linux
to access an IEEE 1394 (FireWire) bus. It can issue asynchronous read, write
and lock requests to some nodes on the bus, force bus resets, and send PHY
packets. Furthermore, it provides bus reset notifications. The main advantage
of this tool over other available tools (like gscanbus) is (besides not
requiring a graphical interface) that it reports the exact acknowledge and
response codes and, therefore, is very useful for debugging purposes.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING NEWS
%{_bindir}/firecontrol

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Jarod Wilson <jarod@redhat.com>
- ExcludeArch: s390 s390x, no libraw1394 there

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 22 2008 Jarod Wilson <jwilson@redhat.com> 0.2-3
- Bump and rebuild for libraw1394 v2.0.0

* Thu Apr 03 2008 Jarod Wilson <jwilson@redhat.com> - 0.2-2
- Fix license, is GPLv2+, not GPLv2-only, per commander.c

* Wed Apr 02 2008 Jarod Wilson <jwilson@redhat.com> - 0.2-1
- Initial build
